Bug 823377 - .ssh/config permissions must match permissions of same file
.ssh/config permissions must match permissions of same file
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
i686 Mac OS
low Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
: Security, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 01:20 EDT by Jim Tittsler
Modified: 2015-05-14 21:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 12:06:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Tittsler 2012-05-21 01:20:31 EDT
Description of problem:

The error message returned by 'rhc domain status' on OS X is odd.  The incorrect permissions must match those of the same file.

4) File /Users/jim/.ssh/config has incorrect permissions 644
	Permissions should match /Users/jim/.ssh/config.


Version-Release number of selected component (if applicable):

Uncertain.  Neither 'rhc --version' nor 'rhc version' seems to work.

How reproducible:

every time

Steps to Reproduce:
1. rhc domain status
2.
3.
  
Actual results:

4) File /Users/jim/.ssh/config has incorrect permissions 644
	Permissions should match /Users/jim/.ssh/config.

Expected results:


Additional info:
Comment 1 John (J5) Palmieri 2012-06-22 12:06:01 EDT
Sorry for not getting back to you sooner.  We no longer modify the config file.  To fix this issue please open up a terminal as the jim user and run this command

chmod 0600 /Users/jim/.ssh/config

I'm closing this.  Feel free to reopen if your issue has not been fixed.

Note You need to log in before you can comment on or make changes to this bug.